# PodRegistrar class abstract interface

A contract in Jetleaf for components that can register pods into the application’s dependency container.

A `PodRegistrar` is responsible for describing how specific pods should be registered with the ``PodRegistry``.

### Usage

Implement this interface in your own registrar class to provide new pods at startup.

    class MyRegistrar implements PodRegistrar {
      @override
      void register(PodRegistry registry, Environment env) {
        registry.registerPod(MyService.classType);
      }
    }

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
register(PodRegistry registry, Environment env) → void
  Registers one or more pods into the Jetleaf pod registry.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited